package com.fdkankan.ucenter.service;

import com.fdkankan.ucenter.common.Result;
import com.fdkankan.ucenter.vo.request.LaserSceneParam;
import com.fdkankan.ucenter.vo.request.SceneParam;
import com.fdkankan.ucenter.vo.response.LaserSceneInfoVo;

/**
 * <p>
 * TODO
 * </p>
 *
 * @author dengsixing
 * @since 2022/9/27
 **/
public interface IInnerService {

    Result createTokenByNum(String num);

    String querySceneDataSource(String num);

    String getSceneNumVersion(String num);

    Result downloadCapture(String num);

    Result querySceneNum(String path);

    LaserSceneInfoVo getSceneInfo(String num);

    Object getCameraDetail(String snCode);

    Object getSceneBySnCode(SceneParam param);

    Object getSceneByToken(LaserSceneParam param, String token);
}
